<?php
session_start();

include_once("../scripts/connect.php");

include("../scripts/session.php");

//Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	header("Location: ../login.php?err=NoSesion");

    }/*no hay sesion*/



    else{

       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

    }

    //fin validar session



     $conexion=conecta_default();

  $ok=0;

  $idin = $sesion->id;

  $qp = "SELECT * FROM `inversionista` ORDER BY `id_inver` DESC LIMIT 1";

$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));



	$rp = mysqli_fetch_object($cp);	

	$iduser1 = $rp->id_inver+1;



    if (!function_exists('str_split')){

     function str_split($string, $split_length=1){



         if ($split_length < 1){

           return false;

         }



         for ($pos=0, $chunks = array(); $pos < strlen($string); $pos+=$split_length){

           $chunks[] = substr($string, $pos, $split_length);

         }

         return $chunks;

     }

   }   

   

 function referencias($temp)

   {

   	$verificador=0;

	$residuo=0;

	$referencia=0;

	

	if($temp>0 && $temp<100){

		$arr1 = str_split($temp);

		$uno1=$arr1[0]*1;

        $uno2=$arr1[1]*2;

		if($uno1>9){$arr1 = str_split($uno1);$uno1=$arr1[0]+$arr1[1];}

		if($uno2>9){$arr1 = str_split($uno2);$uno2=$arr1[0]+$arr1[1];}

		$subt=$uno1+$uno2;

		$residuo=$subt%10;

		$verif=10-$residuo;

		if($verif==10){$verif=0;}

		$referencia=$temp.$verif;

		}

	if($temp>=100 && $temp<1000){

		$arr1 = str_split($temp);

		$uno1=$arr1[0]*2;

		$uno2=$arr1[1]*1;

		$uno3=$arr1[2]*2;

		if($uno1>9){$arr1 = str_split($uno1);$uno1=$arr1[0]+$arr1[1];}

		if($uno2>9){$arr1 = str_split($uno2);$uno2=$arr1[0]+$arr1[1];}

		if($uno3>9){$arr1 = str_split($uno3);$uno3=$arr1[0]+$arr1[1];}

		$subt=$uno1+$uno2+$uno3;

		$residuo=$subt%10;

		$verif=10-$residuo;

		if($verif==10){$verif=0;}

		$referencia=$temp.$verif;

		

		}

	if($temp>=1000 && $temp<10000){

		$arr1 = str_split($temp);

		$uno1=$arr1[0]*1;

		$uno2=$arr1[1]*2;

		$uno3=$arr1[2]*1;

		$uno4=$arr1[3]*2;

		if($uno1>9){$arr1 = str_split($uno1);$uno1=$arr1[0]+$arr1[1];}

		if($uno2>9){$arr1 = str_split($uno2);$uno2=$arr1[0]+$arr1[1];}

		if($uno3>9){$arr1 = str_split($uno3);$uno3=$arr1[0]+$arr1[1];}

		if($uno4>9){$arr1 = str_split($uno4);$uno4=$arr1[0]+$arr1[1];}

		$subt=$uno1+$uno2+$uno3+$uno4;

		$residuo=$subt%10;

		

		$verif=10-$residuo;

		if($verif==10){$verif=0;}

				$referencia=$temp.$verif;

		}

	if($temp>=10000 && $temp<100000){

			$arr1 = str_split($temp);

		$uno1=$arr1[0]*2;

		$uno2=$arr1[1]*1;

		$uno3=$arr1[2]*2;

		$uno4=$arr1[3]*1;

		$uno5=$arr1[4]*2;

		if($uno1>9){$arr1 = str_split($uno1);$uno1=$arr1[0]+$arr1[1];}

		if($uno2>9){$arr1 = str_split($uno2);$uno2=$arr1[0]+$arr1[1];}

		if($uno3>9){$arr1 = str_split($uno3);$uno3=$arr1[0]+$arr1[1];}

		if($uno4>9){$arr1 = str_split($uno4);$uno4=$arr1[0]+$arr1[1];}

		if($uno5>9){$arr1 = str_split($uno5);$uno5=$arr1[0]+$arr1[1];}

		$subt=$uno1+$uno2+$uno3+$uno4+$uno5;

		$residuo=$subt%10;

		

		$verif=10-$residuo;

		if($verif==10){$verif=0;}

				$referencia=$temp.$verif;

		

		

		}

	

	if($temp>=100000 && $temp<1000000){

			$arr1 = str_split($temp);

		$uno1=$arr1[0]*1;

		$uno2=$arr1[1]*2;

		$uno3=$arr1[2]*1;

		$uno4=$arr1[3]*2;

		$uno5=$arr1[4]*1;

		$uno6=$arr1[5]*2;

		if($uno1>9){$arr1 = str_split($uno1);$uno1=$arr1[0]+$arr1[1];}

		if($uno2>9){$arr1 = str_split($uno2);$uno2=$arr1[0]+$arr1[1];}

		if($uno3>9){$arr1 = str_split($uno3);$uno3=$arr1[0]+$arr1[1];}

		if($uno4>9){$arr1 = str_split($uno4);$uno4=$arr1[0]+$arr1[1];}

		if($uno5>9){$arr1 = str_split($uno5);$uno5=$arr1[0]+$arr1[1];}

		if($uno6>9){$arr1 = str_split($uno6);$uno6=$arr1[0]+$arr1[1];}

		$subt=$uno1+$uno2+$uno3+$uno4+$uno5+$uno6;

		$residuo=$subt%10;

		

		$verif=10-$residuo;

		if($verif==10){$verif=0;}

				$referencia=$temp.$verif;

		

		

		} return $referencia;

   }

   

    

    //fin validar session

   

    $rfc = $_POST['rfc'];

    $idprom = $_POST['idinv'];

	$estatus = 1;

    $appat = $_POST['apat'];

    $apmat = $_POST['amat'];

    $nombre = $_POST['noms'];

    $fecha = $_POST['anio'].'-'.$_POST['mes'].'-'.$_POST['dia'];

    $edoc = $_POST['edociv'];

    $domicilio = $_POST['dom'];

    $colonia = $_POST['col'];

    $sector = $_POST['sec'];

    $ciudad = $_POST['ciud'];
    $benef=$_POST['nombreben'];
    $apepbenf=$_POST['apepb'];
    $apembenf=$_POST['apepm'];
    $numben=$_POST['telefben'];
    $parent=$_POST["parentesc"];
    $id_inversi=$_POST['idpadre'];
    
   


    if(empty($_POST['estado']))

    $estado = '0';

    else 

    $estado = $_POST['estado'];

    $pais = $_POST['pais'];

    $cp = $_POST['cp']; 

    $tel1 = $_POST['tel1'];

    $tel2 = $_POST['tel2'];

    $email = $_POST['email'];

    $sexo = $_POST['sexo'];

    
    if(isset($_POST['cuenta']))
    {
      $nocuenta = $_POST['cuenta'];
    }
    else
    {
      $nocuenta=0;
    }


    $banco = $_POST['banco'];


    $estampa = date('Y-m-d');

    $califico = 'NO';

    $nomusr = $rfc;

    $psw = $_POST['psw1'];

    $rango = 3;

    $refer = referencias($iduser1);

    

    

 function fechacomp($a,$m,$d)

	   		{

				$anio = $a;

				$mes = $m;

				$dia = $d;

				switch($mes) 

				{

					case '01': $mesnom="Enero"; break;

					case '02': $mesnom="Febrero"; break;

					case '03': $mesnom="Marzo"; break;

					case '04': $mesnom="Abril"; break;

					case '05': $mesnom="Mayo"; break;

					case '06': $mesnom="Junio"; break;

					case '07': $mesnom="Julio"; break;

					case '08': $mesnom="Agosto"; break;

					case '09': $mesnom="Septiembre"; break;

					case '10': $mesnom="Octubre"; break;

					case '11': $mesnom="Noviembre"; break;

					case '12': $mesnom="Diciembre"; break;

				}	    

				return "$dia de $mesnom de $anio";

			}   



	

   $busqrfc = "SELECT * FROM inversionista WHERE rfc = '$rfc'";

   $cons = mysqli_query($conexion, $busqrfc) or die ('Err0: '.mysqli_error($conexion));

   if(mysqli_affected_rows($conexion))

   {

   	echo "<html>";

   	echo "<head><meta http-equiv='Refresh' content='7;URL=inscripcion.php'></head>";

    echo "<center>";

   	echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";

   	echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";

   	echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>ERROR:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'>YA EXISTE UNA PERSONA REGISTRADA CON EL RFC $rfc FAVOR DE VERIFICARLO O CONSULTE A UN ADMINISTRADOR.</label>";

    echo "<br /><br />Pulsa <a href='inscripcion.php'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";

   	

   	echo "</form>";

   	echo "</div>";

    echo "</center>";

    echo "</html>";

   }

   else

   {

   echo "<div style='width:500px; height:400px; padding-left:50px; padding-top:50px; background: url(logotransp2.gif)'>";

   echo "<font size=\"4\"><b>Los datos ingresados y almacenados son los siguientes:</b></font> <br /> <br />";

   echo "<label style='color:#5C3C12'> <b>RFC:</B> </label> $rfc";

   echo "<br />";

   echo "<label style='color:#5C3C12'> <b>Nombre:</B> </label> $nombre $appat $apmat";

   echo "<br />";

   $fech = explode("-",$fecha);

   $fec = fechacomp($fech[0],$fech[1],$fech[2]);

   echo "<label style='color:#5C3C12'> <b>Fecha de Nacimiento:</B> </label> $fec";

   echo "<br />";

   $q1 = "SELECT descripcion FROM edociv WHERE idedociv ='$edoc'";

   $cn = mysqli_query($conexion, $q1);

   $row = mysqli_fetch_row($cn);

   echo "<label style='color:#5C3C12'><b>Estado Civil:</B></label> $row[0]";

   echo "<br />";

   echo "<label style='color:#5C3C12'><b>Domicilio:</B></label> $domicilio";

   echo ", <b>colonia</B> $colonia";

 

   if(!empty($sector))

   echo " <b>Sector</B> $sector";

   echo "<br />";

   echo "<label style='color:#5C3C12'><b>Lugar:</B></label> $ciudad";

   $q1 = "SELECT descripcion FROM pais WHERE idpais ='$pais'";

   $cn = mysqli_query($conexion, $q1);

   $row = mysqli_fetch_row($cn);

   $pais = $row[0];

   if ($estado != 0)

   {

    $q1 = "SELECT nombre FROM estados WHERE idestado ='$estado'";

    $cn = mysqli_query($conexion, $q1);

    $row = mysqli_fetch_row($cn);

    echo ", $row[0]";

   }

   echo ", $pais";

   echo "<br />";

   echo "<label style='color:#5C3C12'><b>C.P:</B></label> $cp";

   echo "<br />";

   echo "<label style='color:#5C3C12'><b>Tel1:</B></label> $tel1";

   if(!empty($tel2))

   {

   	echo "<br />";

   	echo "<label style='color:#5C3C12'><b>Tel2:</B></label> $tel2";

   }

   if(!empty($email))

   {

   	   echo "<br />";

  	   echo "<label style='color:#5C3C12'><b>E-mail:</B> </label>$email";

   }

   if($sexo == 'M')

   {

   	echo "<br />";

    echo "<label style='color:#5C3C12'><b>Sexo:</B></label> Mujer";

   }

   else 

   {

   	echo "<br />";

    echo "<label style='color:#5C3C12'><b>Sexo:</B></label> Hombre";

   }

   if($banco != 0)

   {

   	$q1 = "SELECT nombre FROM banco WHERE idbanco ='$banco'";

    $cn = mysqli_query($conexion, $q1);

    $row = mysqli_fetch_row($cn);

   	echo "<br /><br />";   

   	echo "<label style='color:#5C3C12'><b>Banco:</B></label> $row[0]";

    echo "<br />";

    echo "<label style='color:#5C3C12'><b>No. de Cuenta:</B></label> $nocuenta";

   }

   

   	echo "<br />";

    echo "<label style='color:#5C3C12'><b>No. de referencia para hacer dep&oacute;sitos:</B></label><font size=\"+3\"><b>$refer</b></Font> ";

   	

   echo " <br />En el banco: <b>Scotiabank Inverlat SA</B><br>Cuenta a nombre de: <b>Real Rich Business Team S.A.de C.V.</b><br>

   No. de cuenta: <b>01001672355 </b>Plaza: <b>1401 Guadalajara</b><br><br><b>Datos Para ingresar al sistema en l&iacute;nea www.rrb10.com</B><br>";

   echo "<label style='color:#5C3C12'><b>Nombre de usuario:</B></label> $nomusr";

   echo "<br />";

   echo "<label style='color:#5C3C12'><b>Contrase&ntilde;a:</B></label> $psw <br>";

   
  echo "<label style='color:#5C3C12'><b>Nombre del beneficiario:</b><label>";echo $benef." " .$apepbenf ." ". $apembenf;
  echo "<br>";



   $q1= "INSERT INTO inversionista (id_inver, rfc, idprom, centros_idcd, estatus_idestatus, appat, apmat, 

          nombre, fecha_nac, edociv_idedociv, domicilio, colonia, sector, ciudad, 

          estados_idestado, pais_idpais, cp, tel1, tel2, email, sexo, nocuenta, 

          banco_idbanco, estampa, califico, referencia)  

	

          VALUES 

          ('','$rfc','$idprom','$idin','$estatus','$appat','$apmat','$nombre','$fecha','$edoc','$domicilio','$colonia','$sector','$ciudad','$estado','$pais','$cp','$tel1','$tel2','$email','$sexo','$nocuenta','$banco','$estampa','$califico','$refer')";			

	


        $consulta1 = mysqli_query($conexion, $q1) or die ('Err0: ' . mysqli_error($conexion));
$idinver = mysqli_insert_id($conexion);
$beneficios="INSERT INTO beneficiario (ben_id_inver,nombreben,apellidopben,apellidomben,telefono,parentesco) VALUES ('".$idinver."','".$benef."','".$apepbenf."','".$apembenf."','".$numben."','".$parent."')";
	$ben=mysqli_query($conexion, $beneficios) or die ('ErrBenef'. mysqli_error($conexion));


	

	$q2= "INSERT INTO usuario (idusuario, rango_idrango, inversionista_id_inver, nom_usr, passw) VALUES ('','$rango','$idinver','$nomusr','$psw')";

	$cons = mysqli_query($conexion, $q2) or die('Err0: '. mysqli_error($conexion)); 

         if($consulta1&&$cons) 

        	{

	             echo "<br><br>";

	             echo "<hr>";

	             echo "<br><br>";

	             echo "Registro Almacenado.";

	             echo "<br><b><a href=\"inscripcion.php\">Regresar</b>";

	             echo "<br><br>";	 

	         }

   
   }
?>